# Admin Reports API . activities

## Instance Methods

Retrieves a list of activities for a specific customer and application.

Retrieves the next page of results.

### Method Details

`list(userKey, applicationName, eventName=None, actorIpAddress=None, filters=None, maxResults=None, pageToken=None, startTime=None, endTime=None)`

    Retrieves a list of activities for a specific customer and application.

    Args:
      userKey: string, Represents the profile id or the user email for which the data should be filtered. When 'all' is specified as the userKey, it returns usageReports for all users. (required)
      applicationName: string, Application name for which the events are to be retrieved. (required)
      eventName: string, Name of the event being queried.
      actorIpAddress: string, IP Address of host where the event was performed. Supports both IPv4 and IPv6 addresses.
      filters: string, Event parameters in the form [parameter1 name][operator][parameter1 value],[parameter2 name][operator][parameter2 value],...
      maxResults: integer, Number of activity records to be shown in each page.
      pageToken: string, Token to specify next page.
      startTime: string, Return events which occured at or after this time.
      endTime: string, Return events which occured at or before this time.

    Returns:
      An object of the form:

        { # JSON template for a collection of activites.
        "nextPageToken": "A String", # Token for retrieving the next page
        "items": [ # Each record in read response.
          { # JSON template for the activity resource.
            "kind": "admin#reports#activity", # Kind of resource this is.
            "ownerDomain": "A String", # Domain of source customer.
            "actor": { # User doing the action.
              "profileId": "A String", # Obfuscated user id of the user.
              "email": "A String", # Email address of the user.
              "key": "A String", # For OAuth 2LO API requests, consumer_key of the requestor.
              "callerType": "A String", # User or OAuth 2LO request.
            },
            "id": { # Unique identifier for each activity record.
              "applicationName": "A String", # Application name to which the event belongs.
              "uniqueQualifier": "A String", # Unique qualifier if multiple events have the same time.
              "customerId": "A String", # Obfuscated customer ID of the source customer.
              "time": "A String", # Time of occurrence of the activity.
            },
            "ipAddress": "A String", # IP Address of the user doing the action.
            "events": [ # Activity events.
              {
                "type": "A String", # Type of event.
                "name": "A String", # Name of event.
                "parameters": [ # Parameter value pairs for various applications.
                  {
                    "boolValue": True or False, # Boolean value of the parameter.
                    "intValue": "A String", # Integral value of the parameter.
                    "value": "A String", # String value of the parameter.
                    "name": "A String", # The name of the parameter.
                  },
                ],
              },
            ],
          },
        ],
        "kind": "admin#reports#activities", # Kind of list response this is.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.